Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.util
Class QuickFormOperation

    java.lang.Object
      com.fujitsu.iflow.model.util.QuickFormOperation

public class QuickFormOperation
extends java.lang.Object

This class represents a Quick Form operation.

Quick Form supports a variety of operations such as show a paticular User Defined Atributes (UDA), show the attchment panel etc. Each operation is marked by a special tag inside the form.

Interstage BPM uses this class to map each operation into its relevant HTML code.

Field Summary
`static int` | `ATTACHMENTPANEL` Shows the attachment panel.
`static int` | `CALENDAR` Shows a date type User Defined Attribute inside a HTML text field along with a calendar control.
`static int` | `DEFAULTUDAS` Shows all of the User Defined Attributes (UDA).
`static int` | `FIELD` Shows a particular User Defined Attribute inside a HTML text field.
`static int` | `HIDDEN` Shows a particular User Defined Attribute as a HTML hidden field string.
`static int` | `HTMLCONTROL` Shows a particular User Defined Attribute as a HTML Contol string.
`static int` | `HTMLSTRING` Shows a particular User Defined Attribute as a HTML text string.
`static int` | `INPUT` Shows a particular User Defined Attribute inside a HTML text field so user could modify it.
`static int` | `JS` Evaluates a particular User Defined Attribute (UDA) value and write out the result as a HTML text string.
`static int` | `JSXML` Evaluates a particular User Defined Attribute (UDA) value and write out the result as a plain text String.
`int` | `opCode` The integer value that specifies the current opcode of this `QuickFormOperation` object as defined by constants of this class such as `HTMLSTRING`.
`java.lang.String` | `paramValue` The current parameter value of this `QuickFormOperation`.
`static int` | `PROCESSPANEL` Shows the process instance panel.
`static int` | `TEMPLATEEND`
`static int` | `TEMPLATESTART`
`static int` | `WORKITEMHEADER` Shows the work item panel.
`static int` | `XML` Shows a particular User Defined Attribute (UDA) as a plain text string.

Constructor Summary
`QuickFormOperation(int o)` Generates a new instance of a `QuickFormOperation` with the specified opcode.
`QuickFormOperation(int o, java.lang.String p)` Generates a new instance of a `QuickFormOperation` with the specified opcode and parameter value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTMLSTRING

    public static final int HTMLSTRING

  Shows a particular User Defined Attribute as a HTML text string.

  See Also:
    Constant Field Values

### FIELD

    public static final int FIELD

  Shows a particular User Defined Attribute inside a HTML text field.

  See Also:
    Constant Field Values

### INPUT

    public static final int INPUT

  Shows a particular User Defined Attribute inside a HTML text field so user could modify it.

  See Also:
    Constant Field Values

### PROCESSPANEL

    public static final int PROCESSPANEL

  Shows the process instance panel.

  See Also:
    Constant Field Values

### ATTACHMENTPANEL

    public static final int ATTACHMENTPANEL

  Shows the attachment panel.

  See Also:
    Constant Field Values

### DEFAULTUDAS

    public static final int DEFAULTUDAS

  Shows all of the User Defined Attributes (UDA). Each UDA is shown inside a HTML text field.

  See Also:
    Constant Field Values

### HIDDEN

    public static final int HIDDEN

  Shows a particular User Defined Attribute as a HTML hidden field string.

  See Also:
    Constant Field Values

### WORKITEMHEADER

    public static final int WORKITEMHEADER

  Shows the work item panel.

  See Also:
    Constant Field Values

### CALENDAR

    public static final int CALENDAR

  Shows a date type User Defined Attribute inside a HTML text field along with a calendar control.

  See Also:
    Constant Field Values

### XML

    public static final int XML

  Shows a particular User Defined Attribute (UDA) as a plain text string. This is mainly used when the UDA value is a XML String.

  See Also:
    Constant Field Values

### JS

    public static final int JS

  Evaluates a particular User Defined Attribute (UDA) value and write out the result as a HTML text string. This is mainly used when the UDA value is a JavaScript.

  See Also:
    Constant Field Values

### JSXML

    public static final int JSXML

  Evaluates a particular User Defined Attribute (UDA) value and write out the result as a plain text String. This is mainly used when the UDA value is a JavaScript.

  See Also:
    Constant Field Values

### HTMLCONTROL

    public static final int HTMLCONTROL

  Shows a particular User Defined Attribute as a HTML Contol string.

  See Also:
    Constant Field Values

### TEMPLATESTART

    public static final int TEMPLATESTART

See Also:
  Constant Field Values

### TEMPLATEEND

    public static final int TEMPLATEEND

See Also:
  Constant Field Values

### opCode

    public int opCode

  The integer value that specifies the current opcode of this `QuickFormOperation` object as defined by constants of this class such as `HTMLSTRING`.

### paramValue

    public java.lang.String paramValue

  The current parameter value of this `QuickFormOperation`.

Constructor Detail

### QuickFormOperation

    public QuickFormOperation(int o,
                              java.lang.String p)
                       throws ModelException

  Generates a new instance of a `QuickFormOperation` with the specified opcode and parameter value.

Parameters:
  `o` - The integer constants that specified the opcode of this `QuickFormOperation` as defined by constants of this class such as `HTMLSTRING`.
  `p` - The parameter value of this `QuickFormOperation`.
Throws:
  `ModelException` - Thrown when the supplied opcode is invalid.

### QuickFormOperation

    public QuickFormOperation(int o)
                       throws ModelException

  Generates a new instance of a `QuickFormOperation` with the specified opcode.

Parameters:
  `o` - The integer constants that specified the opcode of this `QuickFormOperation` as defined by constants of this class such as `HTMLSTRING`.
Throws:
  `ModelException` - Thrown when the supplied opcode is invalid.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD